Create a new reserved IP
curl --request POST \
--url https://api.cloud.onidel.com/network/reserved_ips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location": "<string>",
"team_id": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.cloud.onidel.com/network/reserved_ips"
payload = {
"location": "<string>",
"team_id": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({location: '<string>', team_id: '<string>', name: '<string>'})
};
fetch('https://api.cloud.onidel.com/network/reserved_ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ip_addr": "<string>"
}{}{
"err": "INSUFFICIENT_BALANCE"
}{
"err": "RESERVED_IP_QUOTA_EXCEEDED"
}{
"err": "RESOURCE_NOT_AVAILABLE"
}Reserved IPs
Create a new reserved IP
Allocate a new reserved IP address in the specified location
POST
/
network
/
reserved_ips
Create a new reserved IP
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Location name where the IP should be allocated
Team ID to create the reserved IP for. If not provided, uses the user's primary team
IPv4 (/32) or IPv6 (/64) address
Available options:
ipv4, ipv6 Custom name for the reserved IP (defaults to IP address if not provided)
Maximum string length:
64⌘I